import { OnDestroy } from '@angular/core';
import { NgControl } from '@angular/forms';
import { Subject } from 'rxjs';
import { EzFormConfigDirective } from '../../directives/ez-form-config.directive';
import { EzFormReadonlyDirective } from '../../directives/ez-form-readonly.directive';
import { EzFormDirective } from '../../directives/ez-form.directive';
import { EzControlProperties } from '../../models/ez-controls-properties';
import { EzFormConfig } from '../../models/ez-form-config';
import { EzFormConfigService } from '../../services/ez-form-config.service';
import { EzControlBaseComponent } from '../ez-control-base.component';
import * as i0 from "@angular/core";
export declare class EzControlComponent<T> implements OnDestroy {
    private ezFormConfigService;
    properties: EzControlProperties;
    config: EzFormConfig;
    finalise$: Subject<void>;
    constructor(ezControlBaseComponent: EzControlBaseComponent<T>, ezFormConfigService: EzFormConfigService, ezFormReadonlyDirective: EzFormReadonlyDirective, ezFormConfigDirective: EzFormConfigDirective, ngControl: NgControl, ezFormDirective: EzFormDirective);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EzControlComponent<any>, [null, null, { optional: true; }, { optional: true; }, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EzControlComponent<any>, "ez-control", never, {}, {}, never, ["*", "[controls-container]"], false>;
}
