import { ElementRef, OnDestroy, EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { EzFormConfigService } from '../services/ez-form-config.service';
import * as i0 from "@angular/core";
export declare class EzFormDirective implements OnDestroy {
    private form;
    private el;
    ezSubmit: EventEmitter<any>;
    ezSubmitInvalid: EventEmitter<any>;
    ezReset: EventEmitter<any>;
    private subscription;
    private formSubmittedClasses;
    constructor(form: NgForm, el: ElementRef, configService: EzFormConfigService);
    ngOnDestroy(): void;
    private onSubmit;
    reset(value?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EzFormDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EzFormDirective, "form", ["ezForm"], {}, { "ezSubmit": "ezSubmit"; "ezSubmitInvalid": "ezSubmitInvalid"; "ezReset": "ezReset"; }, never, never, false>;
}
