import { ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class EzModalComponent implements OnDestroy {
    private elementRef;
    visible: boolean;
    heading: string;
    afterClosed: EventEmitter<any>;
    private openSub?;
    set open$(open$: Observable<any>);
    private closeSub?;
    set close$(close$: Observable<any>);
    constructor(elementRef: ElementRef);
    close(): void;
    open(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EzModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EzModalComponent, "ez-modal", never, { "heading": "heading"; "open$": "open$"; "close$": "close$"; }, { "afterClosed": "afterClosed"; }, never, ["*", "[footer]"], false>;
}
