import { EzFormConfig } from '../models/ez-form-config';
import * as i0 from "@angular/core";
export declare class EzFormConfigService implements EzFormConfig {
    defaultMessages: {
        invalid: string;
        required: string;
    };
    fieldsetTemplate: null;
    labelTemplate: null;
    readonlyTemplate: null;
    requiredIndicator: boolean;
    pristineMessages: boolean;
    formClasses: string | string[];
    formSubmittedClasses: string | string[];
    controlClasses: string | string[];
    legendClasses: string | string[];
    labelContainerClasses: string | string[];
    labelClasses: string | string[];
    controlsContainerClasses: string | string[];
    checkboxLabelClasses: string | string[];
    radioLabelClasses: string | string[];
    sublabelClasses: string | string[];
    readonlyLabelClasses: string | string[];
    readonlyClasses: string | string[];
    requiredClasses: string | string[];
    validationClasses: string | string[];
    inputClasses: string | string[];
    checkboxClasses: string | string[];
    checkboxContainerClasses: string | string[];
    radioClasses: string | string[];
    radioContainerClasses: string | string[];
    selectClasses: string | string[];
    fieldsetLabelClasses: string | string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<EzFormConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EzFormConfigService>;
}
